- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySearches/legacyGetEntitiesFilterValues#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySearches/legacyGetEntitiesFilterValues#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySearches/legacyGetEntitiesFilterValues#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySearches/legacyGetEntitiesFilterValues#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySearches/legacyGetEntitiesFilterValues#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySearches/legacyGetEntitiesFilterValues#body.LegacyGetEntitiesFilterValuesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySearches/legacyGetEntitiesFilterValues#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySearches/legacyGetEntitiesFilterValues#body.aspect_1)
- [EntitySearchFilterTypeEnum](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySearches/legacyGetEntitiesFilterValues#EntitySearchFilterTypeEnum)

**Full name**: projects.locations.instances.legacySearches.legacyGetEntitiesFilterValues

Returns the set of valid values for a specific security entity filtering dimension (e.g., networks, countries). Use this method to build dynamic entity search interfaces.

### HTTP request

`POST https://{endpoint}/v1alpha/{instance}/legacySearches:legacyGetEntitiesFilterValues`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance to get the search results for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "typeOfFilter": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySearches/legacyGetEntitiesFilterValues#EntitySearchFilterTypeEnum`), "numberOfValuesToReturn": integer, "searchTerm": string } ``` |

| Fields ||
|---|---|
| `typeOfFilter` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySearches/legacyGetEntitiesFilterValues#EntitySearchFilterTypeEnum`)`` Required. Type of filter. |
| `numberOfValuesToReturn` | `integer` Optional. Number of values to return. |
| `searchTerm` | `string` Optional. Search term. |

### Response body

Response for legacySearches.legacyGetEntitiesFilterValues.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "payload": [ string ] } ``` |

| Fields ||
|---|---|
| `payload[]` | `string` Optional. The filter values. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacySearches.searchEntities`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## EntitySearchFilterTypeEnum

Enum that represents the entity search filter type.

| Enums ||
|---|---|
| `OPERATION_SYSTEM` | Operation System filter type. |
| `NETWORK` | Network filter type. |
| `COUNTRY` | Country filter type. |
| `ENVIRONMENT` | Environment filter type. |